Bug 123408 - [patch] net/wmwlmon fix for gcc4.2 and partial fix for wi_req. Do not deprecate!
Summary: [patch] net/wmwlmon fix for gcc4.2 and partial fix for wi_req. Do not deprec...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-04 23:30 UTC by Luke Dean
Modified: 2008-05-10 10:10 UTC (History)
0 users

See Also:


Attachments
patch-bitmaps__wmwlmon_mask.xbm (535 bytes, TEXT/PLAIN; charset=US-ASCII)
2008-05-04 23:35 UTC, Luke Dean
no flags Details
patch-wl.c (834 bytes, TEXT/PLAIN; charset=US-ASCII)
2008-05-04 23:36 UTC, Luke Dean
no flags Details
patch-wl.c (834 bytes, TEXT/PLAIN; CHARSET=US-ASCII; NAME=patch-wl.c)
2008-05-04 23:59 UTC, Luke Dean
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Dean 2008-05-04 23:30:05 UTC
net/wmwlmon was just marked for deprecation because the removal of wi_req broke it.  
Also, on October 1, 2007, the port was marked broken with gcc4.2.

Fix: 

wi_reg brokenness:
I have a simple conditional compillation patch that will allow the port to continue to function for everything except the wi NIC.  The troublesome code is confined to a single function that is only invoked in the presence of a wi NIC.  

Unfortunately my patch removes wi compatibility for versions of FreeBSD where wi_reg still exists.  If someone knows a better conditional compillation flag to use than __FreeBSD__, please do so.
Better yet, if someone knows how to correct the one small function that's causing the problem and has the right hardware to test it, that'd be great.

gcc4.2 brokenness:
I also made two small changes for some type mismatches.  The port now builds with 
gcc (GCC) 4.2.1 20070719  [FreeBSD]

This software is valuable to those of us who have never seen a wi NIC, and I don't want it to become deprecated just because it doesn't currently work with one odd NIC.  I hope that my contribution will help keep this port alive.

I have two patches to attach, but GNATS only allows one, so I will attach them in followups.
How-To-Repeat: N/A
Comment 1 Luke Dean 2008-05-04 23:35:17 UTC
patch file 1 of 2
Comment 2 Luke Dean 2008-05-04 23:36:26 UTC
patch 2 of 2
Comment 3 Luke Dean 2008-05-04 23:59:53 UTC
patch 2 of 2, second try...  Something about the last one didn't post 
right.
Comment 4 Luke Dean 2008-05-05 00:26:44 UTC
Well, that second one just refuses to post correctly.  Maybe I should've 
put a .txt on the end or something.

I'll stop spamming just post them both here with .txt on the end:
http://lukas.is-a-geek.org/lukas/freebsd/wmwlmon_patches/
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-05-10 08:51:02 UTC
State Changed
From-To: open->feedback

Maybe you are interested in maintianing this port?
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-05-10 08:51:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 7 dfilter service freebsd_committer 2008-05-10 10:00:19 UTC
itetcu      2008-05-10 09:00:09 UTC

  FreeBSD ports repository

  Modified files:
    net/wmwlmon          Makefile 
  Added files:
    net/wmwlmon/files    extra-patch-wl.c extra-patch-wmwlmon.1 
                         patch-bitmaps__wmwlmon_mask.xbm 
                         patch-wl.c 
  Log:
  - fix build with gcc 4.2 [1]
  - fix build on 7 after wi_req removal (remove support for wi(4)) [2]
  - unBROKEN [1]
  - unDEPRECIATE [1]
  - use REINPALCE_CMD
  
  PR:             ports/123408 [1], [2] by itetcu@ (me) based on [1]
  Submitted by:   Luke Dean <luked@pobox.com> [1]
  
  Revision  Changes    Path
  1.9       +9 -10     ports/net/wmwlmon/Makefile
  1.1       +20 -0     ports/net/wmwlmon/files/extra-patch-wl.c (new)
  1.1       +10 -0     ports/net/wmwlmon/files/extra-patch-wmwlmon.1 (new)
  1.1       +10 -0     ports/net/wmwlmon/files/patch-bitmaps__wmwlmon_mask.xbm (new)
  1.1       +13 -0     ports/net/wmwlmon/files/patch-wl.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-05-10 10:00:29 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!